require 'random'
require 'background'
require 'ground'
require 'player'
require 'tree'
require 'gui'

map_w = love.graphics.getWidth()

function love.load()
	InitBackground()
	InitGround(map_w)
	InitTree()
	InitPlayer()
	InitGUI()
end

function love.update(dt)
	UpdateBackground(dt)
	UpdateGround(dt, map_w)
	UpdatePlayer(dt, map_w)
end

function love.draw()
	DrawBackground()
	DrawGround(map_w)
	DrawTree()
	DrawPlayer()
	DrawGUI()
end

